#include <SPI.h>
#include <ESP8266WiFi.h>
#include "Pushover.h"
const int in_button1 = 2;     // An den Pin D4 ist der Taster angeschlossen.cons
const int hoehe = 270;     // Briefkastenhöhe in mm
const char* ssid = "SSID"; //Hier SSID eures WLAN Netzes eintragen
const char* password = "WLAN-PW"; //Hier euer Passwort des WLAN Netzes eintragen
int i_buttonState1 = 1;      // In dieser Variablen speichern wir den Status des Eingangs.
int trigger=5; 
int echo=4; 
long dauer=0; 
long entfernung=0;
WiFiClient espClient;
 Pushover po = Pushover("xyz","123"); // Pushover Zugangsdaten

void setup() {
  Serial.begin (9600); 
  Serial.println();
  Serial.println();
  Serial.print("Verbinde mich mit Netz: ");
  Serial.println(ssid);
  WiFi.begin(ssid, password);
  while (WiFi.status() != WL_CONNECTED) {
  delay(500);
  Serial.print(".");
  }
  Serial.println("");
  Serial.println("WiFi Verbindung aufgebaut"); 
  Serial.print("Eigene IP des ESP-Modul: ");
  Serial.println(WiFi.localIP());   
  pinMode(in_button1, INPUT); // Der Pin des Tasters wird als Eingang initialisiert. 
  pinMode(trigger, OUTPUT); 
  pinMode(echo, INPUT);
}

void loop(){
  // Wir lesen den Status des Eingangs aus und 
  // speichern den Wert in der Variablen
  i_buttonState1 = digitalRead(in_button1);

  if (i_buttonState1 == 0) {      // Ist der Taster gedrückt,
    digitalWrite(trigger, LOW); 
    delay(5); 
    digitalWrite(trigger, HIGH); 
    delay(10);
    digitalWrite(trigger, LOW);
    dauer = pulseIn(echo, HIGH); 
    entfernung = (dauer/2) * 0.3432; 
    if (entfernung >= 5000 || entfernung <= 0) 
    {
    Serial.println("Kein Messwert"); 
    }
    else 
      {
         delay(5000);
         if (entfernung < hoehe) 
      {
         Serial.print("Post im Kasten ");
         Serial.print(i_buttonState1);
         po.setDevice("selma");
         po.setMessage("Sie haben Post!");
         Serial.println(po.send());
      }
      else 
     { 
         Serial.print("Keine Post im Kasten ");
    }
    Serial.print(entfernung); 
    Serial.println(" mm");
    i_buttonState1 = 1;
}
  } 
  else {                             // Ansonsten

  }
delay(500); 
}
